Jump to content
The simFlight Network Forums
Sabrefly

P3Dv3.3.5 doesn't start with FSUIPC v4.965

Recommended Posts

8 hours ago, Sabrefly said:

Here's a good log of P3Dv3.3.5 + FSUIPC v4.965 + SimconnectP3D v3.0.0.13948

Thanks. Yes, looks good. I'll investigate this puzzle, hopefully over the weekend. If not, certainly next week.

Pete

 

  • Upvote 1

Share this post


Link to post
Share on other sites
14 minutes ago, Easton Williams said:

Do you have any idea as to what my problem is?

Absolutely none, because you still haven't provided any useful information whatsoever!

I cannot deduce things magically! I ALWAYS need Log files as a minimum. Please do not post again without any information. And I've also no idea why you invaded a thread on a different subject. You should have started your own thread, as I said!

Pete

 

Share this post


Link to post
Share on other sites
25 minutes ago, Pete Dowson said:

Absolutely none, because you still haven't provided any useful information whatsoever!

I cannot deduce things magically! I ALWAYS need Log files as a minimum. Please do not post again without any information. And I've also no idea why you invaded a thread on a different subject. You should have started your own thread, as I said!

Pete

 

Opps, sorry :)

 

I believe the problems have been fixed after changing and reinstalling some things like ezdok and Simconnect and such so my sim looks like it is running as per usual. The reason I posted here was because I saw that Sabre had the same problem as myself and 5 hours ahead of me in fixing it and I had been on a hunt for hours with no luck, however If my problems come back I will most definitely start a new thread.

 

Thankyou,

 

Easton Williams

Share this post


Link to post
Share on other sites

Okay. The mystery of the SimConnectP3D3.DLL incompatibility with P3D3.3.5 is resolved. Apparently L-M made changes to their supplied LIB file, needed to interface to P3D, which rendered it incompatible with previous versions of P3D3.

This is unusual and unexpected. It was already known to be incompatible with P3D2. In fact the major versions, 1, 2 and 3, all have non-backward-compatible SimConnect LIBs. This is the first time a secondary update version has affected this compatibility.

I have tested the older DLL (the one in the SimConnectP3D30.ZIP file) with P3D3.4 and it is okay, so that can be used as an interim fix for P3D3.0-3.3 users till I can release the next installer.

FSUIPC uses a function which isn't included in the P3D3.0 version if the DLL, so the newer installer will install a revised version of the 3.0 DLL with that function added. The fact that it is missing in the meanwhile does no harm -- you just lose some version information in the log.

I'll make a sticky with this information and the link so it will be seen at the top of the Forum.

Apologies to those affected by this problem.

Pete

 

Share this post


Link to post
Share on other sites

I'm releasing 4.966 this afternoon (Saturday 15th), earlier than I expected as I've solved the other problems I had with it which I thought might take a few more days ...

Pete

 

Share this post


Link to post
Share on other sites

Pete,

My new Level D for P3D upset everything today. P3D would not start. I have FSUIPC 4.96. I reverted to the simconnect.dll you posted here (as I use P3D4 with the 3.3.5 client, and after that sim was ok, but PMDG NGX and Aerosoft Airbus started only with P3D's RTM and SP1a simconnects (with dead displays), and when topping with XPACK simconnect, crash to desktop. I have hope for 4.966 so to speak.

Here's the thread I'm in at the LDS forum: http://www.leveldsim.com/forums/p3d-not-starting-after-installation_topic26467.html

Edited by Electroplasma

Share this post


Link to post
Share on other sites
4 hours ago, Electroplasma said:

I have FSUIPC 4.96. I reverted to the simconnect.dll you posted here (as I use P3D4 with the 3.3.5 client, and after that sim was ok,

Install FSUIPC 4.966 if you want my support!

4 hours ago, Electroplasma said:

but PMDG NGX and Aerosoft Airbus started only with P3D's RTM and SP1a simconnects (with dead displays), and when topping with XPACK simconnect, crash to desktop. I have hope for 4.966 so to speak.

Neither PMDG nor Aerosoft Airbus have anything to do with any of my software. 4.966 will not do anything at all for them.

The other SimConnects you are installing won't have any affect on FSUIPC either-- unless you actually remove my SimConnectP3D3. DLL, as that is used in preference AND is more up to date.

I suggest you now go to the PMDG and Aerosoft fora respectively. It sounds like you've messed things up quite well, but, sorry, I cannot help.

Pete

Share this post


Link to post
Share on other sites

Fine, and none of them works no more after my LDS installation, and I don't understand why. And thanks for clearing up the SimconnectP3D3.dll is from you and not from LM. Been wondering about this for a while. Regarding going to PMDG or AS, no. The Level D messed up, not me, with respect.

Edited by Electroplasma

Share this post


Link to post
Share on other sites
22 minutes ago, Electroplasma said:

SimconnectP3D3.dll is from you and not from LM

This DLL is ONLY used by FSUIPC, nothing else. It was made simply because by default P3D did not come provide with SimConnect access via DLL, only by direct compilation with their Library (.LIB file).

When users of P3D also have, or previously had, FSX or FSX-SE, they would have already had SimConnect DLL installed. Maybe RTM, SP1, and/or SP2/ACC versions. FSUIPC can use any of those with P3D, but with a few facilities missing, but it will only do that if the SimConnectP3D3.DLL is removed from the Modules folder. I don't see why anytone would do that, except in the case of my previous DLL not working with P3D versions before 3.4.

28 minutes ago, Electroplasma said:

Regarding going to PMDG or AS, no. The Level D messed up, not me :-)

It's the Level D website then, isn't it? Who makes that? I thought that pre-dated P3D by quite a stretch.

Pete

 

Share this post


Link to post
Share on other sites

Thanks for clearing that up. Look at this from my side, using FS since FS1 (and things before). I expect to see a simconnect in \Modules. But no not like that no more. I shall be kept in the dark, and OK maybe I expect to see things where they don't reside. Fine.

Regarding LVLD, I am discussing this over there. I am confused now, but I guess you are aware the LVLD 767 was just made compatible with P3Dv3? SORRY I did not say this in my first post.

Edited by Electroplasma

Share this post


Link to post
Share on other sites
36 minutes ago, Electroplasma said:

I expect to see a simconnect in \Modules. But no not like that no more. I shall be kept in the dark, and OK maybe I expect to see things where they don't reside. 

Sorry, I've absolutely no idea what you are on about there. There has NEVER been a SimConnect DLL in the FSUIPC-created modules folder till P3D, and only then , reluctantly for the reasons given. 

Only FSUIPC uses SimConnectP3D3.DLL. Other programs may use the Modules folder (but there's not many I know of), but not my DLL.

Perhaps you'd be good enough to explain what all that was about, please,

Pete

 

Share this post


Link to post
Share on other sites

Solely about P3D (and lets forget FSX totally): Yes Your FSUIPC makes the SimconnectP3D3.dll in the the Modules folder.

So after installing the Level D 767 my P3D stopped. I uninstalled the 767 plus I also removed it from xmldll which the uninstaller does not take care of (do they ever?). After that my PMDG's went dead, my buses as well. They start up fine but with dead displays. And this do not belong here but in the LVLD forums yes, but worth mentioning.

Me I feel I have to go for a P3D reinstall, and I don't know why. Hope I was able to explain a little more :-)

Share this post


Link to post
Share on other sites
6 minutes ago, Electroplasma said:

Me I feel I have to go for a P3D reinstall, and I don't know why. Hope I was able to explain a little more :-)

Well, nothing about this seems remotely concerned with FSUIPC, so I've no idea still why you posted the previous entry nor what on Earth it means.

Pete

 

Share this post


Link to post
Share on other sites
1 minute ago, Electroplasma said:

Thx for the 4.66 FSUIPC. Had to do a complete P3D reinstall, got OOM for other reasons and reverted to the P3D 3.3.5 client.

It's up to 4.966c now -- I had to do some fixes for those with any identical devices. 

Pete

 

  • Upvote 1

Share this post


Link to post
Share on other sites
On 4/15/2017 at 4:37 PM, Pete Dowson said:

I'm releasing 4.966 this afternoon (Saturday 15th), earlier than I expected as I've solved the other problems I had with it which I thought might take a few more days ...

Pete

 

I wish I could check and play with it, but I got into a hospital unexpectedly, hope will be back to normal in 2-3 days, will report on 4.966+

 

Thanks, 

Igor

Edited by Sabrefly

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

By using this site, you agree to our Terms of Use. Guidelines Privacy Policy We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.